Name:		sblim-cmpi-rpm
Version:	1.0.1
Release:	5%{?dist}
Summary:	CIM access to installed software packages (currently RPMs)

Group:		Applications/System
License:	CPL
URL:		http://sblim.wiki.sourceforge.net/ProviderCmpiRpm
Source0:	http://downloads.sourceforge.net/project/sblim/sblim-cmpi-rpm/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:		sblim_cmpi_rpm_ldl_library.patch
BuildRequires:	sblim-cmpi-base-devel sblim-cmpi-devel rpm-devel
Requires:	sblim-cmpi-base

%description
These providers list the software packages installed in a GNU/Linux system
and provide some more details about them. 

%Package devel 
Summary:	Devel files for sblim-cmpi-rpm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
SBLIM rpm provider devel package


%prep
%setup -q

# Patch added to fix the missing definitions of dlopen, dlsym, dlerror.
%patch0


%build
%configure --disable-static
make
#make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/cmpi/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la 

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_libdir}/libcimrpm.so.0
%{_libdir}/libcimrpm.so.0.0.0
%{_libdir}/libcimrpmv4.so.0
%{_libdir}/libcimrpmv4.so.0.0.0
%{_libdir}/cmpi/libcmpiOSBase_RpmAssociatedFileProvider.so.0
%{_libdir}/cmpi/libcmpiOSBase_RpmAssociatedFileProvider.so.0.0.0
%{_libdir}/cmpi/libcmpiOSBase_RpmFileCheckProvider.so.0
%{_libdir}/cmpi/libcmpiOSBase_RpmFileCheckProvider.so.0.0.0
%{_libdir}/cmpi/libcmpiOSBase_RpmPackageProvider.so.0
%{_libdir}/cmpi/libcmpiOSBase_RpmPackageProvider.so.0.0.0
%{_datarootdir}/sblim-cmpi-rpm/Linux_RpmPackage.mof
%{_datarootdir}/sblim-cmpi-rpm/Linux_RpmPackage.registration
%{_datarootdir}/sblim-cmpi-rpm/provider-register.sh
%doc COPYING NEWS INSTALL README AUTHORS


%files devel
%defattr(-,root,root,-)
%{_includedir}/sblim/cimrpm.h
%{_includedir}/sblim/cimrpmfp.h
%{_libdir}/cmpi/libcmpiOSBase_RpmAssociatedFileProvider.so
%{_libdir}/cmpi/libcmpiOSBase_RpmFileCheckProvider.so
%{_libdir}/cmpi/libcmpiOSBase_RpmPackageProvider.so
%{_libdir}/libcimrpm.so
%{_libdir}/libcimrpmv4.so
%doc COPYING NEWS README AUTHORS


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 11 2009 Praveen K Paladugu <praveen_paladugu@dell.com> - 1.0.1-4
- Added a comment about the patch.
- fixed the description
* Mon Aug 10 2009 Praveen K Paladugu <praveen_paladugu@dell.com> - 1.0.1-3
- Added the scriplets
- Fixing some rpmlint errors.
- Added a patch to add ldl library while linking.
- Removed the .la and .a files.
* Mon Jul 13 2009 Praveen K Paladugu <praveen_paladugu@dell.com> - 1.0.1-2
- Adding BuildRequries sblim-base-devel
* Thu Jul 02 2009 Praveen K Paladugu <praveen_paladugu@dell.com> - 1.0.1-1
- Packaging for Fedora

